#ifndef BISON_UESQL_PARSER_H
# define BISON_UESQL_PARSER_H

# ifndef YYSTYPE
#  define YYSTYPE int
#  define YYSTYPE_IS_TRIVIAL 1
# endif
# define	EMBEDDED_SQL_BEGIN	257
# define	EMBEDDED_SQL_END	258
# define	LEXICAL_ERROR	259
# define	EMBEDDED_N_ADIC_FUNCTION_CALL	260
# define	EMBEDDED_ARRAY	261
# define	EMBEDDED_VARIABLE_NAME	262
# define	CHARACTER_STRING_LITERAL	263
# define	NATIONAL_CHARACTER_STRING_LITERAL	264
# define	BIT_STRING_LITERAL	265
# define	HEX_STRING_LITERAL	266
# define	UNSIGNED_INTEGER	267
# define	REAL_EXACT_NUMERIC_LITERAL	268
# define	APPROXIMATE_NUMERIC_LITERAL	269
# define	DATE_STRING	270
# define	TIME_STRING	271
# define	TIMESTAMP_STRING	272
# define	INTERVAL_STRING	273
# define	FOURTH_LEVEL_IDENTIFIER	274
# define	THIRD_LEVEL_IDENTIFIER	275
# define	SECOND_LEVEL_IDENTIFIER	276
# define	FOURTH_LEVEL_ASTERISK	277
# define	THIRD_LEVEL_ASTERISK	278
# define	SECOND_LEVEL_ASTERISK	279
# define	IDENTIFIER_BODY	280
# define	DELIMITED_IDENTIFIER	281
# define	MULTI_HOST_IDENTIFIER	282
# define	NOT_EQUALS_OPERATOR	283
# define	GREATER_THAN_OR_EQUALS_OPERATOR	284
# define	LESS_THAN_OR_EQUALS_OPERATOR	285
# define	CONCATENATION_OPERATOR	286
# define	RW_ABSOLUTE	287
# define	RW_ACTION	288
# define	RW_ADD	289
# define	RW_ALLOCATE	290
# define	RW_ALL	291
# define	RW_ALTER	292
# define	RW_AND	293
# define	RW_ANY	294
# define	RW_ASC	295
# define	RW_ASSERTION	296
# define	RW_AS	297
# define	RW_AT	298
# define	RW_AUTHORIZATION	299
# define	RW_AVG	300
# define	RW_BETWEEN	301
# define	RW_BIT_LENGTH	302
# define	RW_BIT	303
# define	RW_BOTH	304
# define	RW_BY	305
# define	RW_CASCADED	306
# define	RW_CASCADE	307
# define	RW_CASE	308
# define	RW_CAST	309
# define	RW_CATALOG	310
# define	RW_CHARACTER_LENGTH	311
# define	RW_CHARACTER	312
# define	RW_CHAR_LENGTH	313
# define	RW_CHAR	314
# define	RW_CHECK	315
# define	RW_CLOSE	316
# define	RW_COALESCE	317
# define	RW_COLLATE	318
# define	RW_COLLATION	319
# define	RW_COLUMN	320
# define	RW_COMMIT	321
# define	RW_CONDITION	322
# define	RW_CONNECTION	323
# define	RW_CONNECT	324
# define	RW_CONSTRAINTS	325
# define	RW_CONSTRAINT	326
# define	RW_CONTINUE	327
# define	RW_CONVERT	328
# define	RW_CORRESPONDING	329
# define	RW_COUNT	330
# define	RW_CREATE	331
# define	RW_CROSS	332
# define	RW_CURRENT_DATE	333
# define	RW_CURRENT_TIMESTAMP	334
# define	RW_CURRENT_TIME	335
# define	RW_CURRENT_USER	336
# define	RW_CURRENT	337
# define	RW_CURSOR	338
# define	RW_DATE	339
# define	RW_DAY	340
# define	RW_DEALLOCATE	341
# define	RW_DECIMAL	342
# define	RW_DECLARE	343
# define	RW_DEC	344
# define	RW_DEFAULT	345
# define	RW_DEFERRABLE	346
# define	RW_DEFERRED	347
# define	RW_DELETE	348
# define	RW_DESCRIBE	349
# define	RW_DESCRIPTOR	350
# define	RW_DESC	351
# define	RW_DIAGNOSTICS	352
# define	RW_DISCONNECT	353
# define	RW_DISTINCT	354
# define	RW_DOMAIN	355
# define	RW_DOUBLE	356
# define	RW_DROP	357
# define	RW_ELSE	358
# define	RW_END	359
# define	RW_ESCAPE	360
# define	RW_EXCEPTION	361
# define	RW_EXCEPT	362
# define	RW_EXECUTE	363
# define	RW_EXISTS	364
# define	RW_EXTRACT	365
# define	RW_FALSE	366
# define	RW_FETCH	367
# define	RW_FIRST	368
# define	RW_FLOAT	369
# define	RW_FOREIGN	370
# define	RW_FOR	371
# define	RW_FOUND	372
# define	RW_FROM	373
# define	RW_FULL	374
# define	RW_GET	375
# define	RW_GLOBAL	376
# define	RW_GOTO	377
# define	RW_GO	378
# define	RW_GRANT	379
# define	RW_GROUP	380
# define	RW_HAVING	381
# define	RW_HOUR	382
# define	RW_IMMEDIATE	383
# define	RW_INDICATOR	384
# define	RW_INITIALLY	385
# define	RW_INNER	386
# define	RW_INPUT	387
# define	RW_INSENSITIVE	388
# define	RW_INSERT	389
# define	RW_INTEGER	390
# define	RW_INTERSECT	391
# define	RW_INTERVAL	392
# define	RW_INTO	393
# define	RW_INT	394
# define	RW_IN	395
# define	RW_ISOLATION	396
# define	RW_IS	397
# define	RW_JOIN	398
# define	RW_KEY	399
# define	RW_LAST	400
# define	RW_LEADING	401
# define	RW_LEFT	402
# define	RW_LEVEL	403
# define	RW_LIKE	404
# define	RW_LOCAL	405
# define	RW_LOWER	406
# define	RW_MATCH	407
# define	RW_MAX	408
# define	RW_MIN	409
# define	RW_MINUTE	410
# define	RW_MONTH	411
# define	RW_NAMES	412
# define	RW_NATIONAL	413
# define	RW_NATURAL	414
# define	RW_NCHAR	415
# define	RW_NEXT	416
# define	RW_NOT_LIKE	417
# define	RW_NOT	418
# define	RW_NO	419
# define	RW_NULLIF	420
# define	RW_NULL	421
# define	RW_NUMERIC	422
# define	RW_OCTET_LENGTH	423
# define	RW_OF	424
# define	RW_ONLY	425
# define	RW_ON	426
# define	RW_OPEN	427
# define	RW_OPTION	428
# define	RW_ORDER	429
# define	RW_OR	430
# define	RW_OUTER	431
# define	RW_OUTPUT	432
# define	RW_OVERLAPS	433
# define	RW_PARTIAL	434
# define	RW_POSITION	435
# define	RW_PRECISION	436
# define	RW_PREPARE	437
# define	RW_PRESERVE	438
# define	RW_PRIMARY	439
# define	RW_PRIOR	440
# define	RW_PRIVILEGES	441
# define	RW_PUBLIC	442
# define	RW_READ	443
# define	RW_REAL	444
# define	RW_REFERENCES	445
# define	RW_RELATIVE	446
# define	RW_RESTRICT	447
# define	RW_REVOKE	448
# define	RW_RIGHT	449
# define	RW_ROLLBACK	450
# define	RW_ROWS	451
# define	RW_SCHEMA	452
# define	RW_SCROLL	453
# define	RW_SECOND	454
# define	RW_SELECT	455
# define	RW_SESSION_USER	456
# define	RW_SESSION	457
# define	RW_SET	458
# define	RW_SIZE	459
# define	RW_SMALLINT	460
# define	RW_SOME	461
# define	RW_SQLERROR	462
# define	RW_SQL	463
# define	RW_SUBSTRING	464
# define	RW_SUM	465
# define	RW_SYSTEM_USER	466
# define	RW_TABLE	467
# define	RW_TEMPORARY	468
# define	RW_THEN	469
# define	RW_THROW	470
# define	RW_TIMESTAMP	471
# define	RW_TIMEZONE_HOUR	472
# define	RW_TIMEZONE_MINUTE	473
# define	RW_TIME	474
# define	RW_TO	475
# define	RW_TRAILING	476
# define	RW_TRANSACTION	477
# define	RW_TRANSLATE	478
# define	RW_TRANSLATION	479
# define	RW_TRIM	480
# define	RW_TRUE	481
# define	RW_UNION	482
# define	RW_UNIQUE	483
# define	RW_UNKNOWN	484
# define	RW_UPDATE	485
# define	RW_UPPER	486
# define	RW_USAGE	487
# define	RW_USER	488
# define	RW_USING	489
# define	RW_VALUES	490
# define	RW_VALUE	491
# define	RW_VARCHAR	492
# define	RW_VARYING	493
# define	RW_VIEW	494
# define	RW_WHENEVER	495
# define	RW_WHEN	496
# define	RW_WHERE	497
# define	RW_WITH	498
# define	RW_WORK	499
# define	RW_WRITE	500
# define	RW_YEAR	501
# define	RW_ZONE	502
# define	NRW_CATALOG_NAME	503
# define	NRW_CHARACTER_SET_CATALOG	504
# define	NRW_CHARACTER_SET_NAME	505
# define	NRW_CHARACTER_SET_SCHEMA	506
# define	NRW_CLASS_ORIGIN	507
# define	NRW_COLLATION_CATALOG	508
# define	NRW_COLLATION_NAME	509
# define	NRW_COLLATION_SCHEMA	510
# define	NRW_COLUMN_NAME	511
# define	NRW_COMMAND_FUNCTION	512
# define	NRW_COMMITTED	513
# define	NRW_CONDITION_NUMBER	514
# define	NRW_CONNECTION_NAME	515
# define	NRW_CONSTRAINT_CATALOG	516
# define	NRW_CONSTRAINT_NAME	517
# define	NRW_CONSTRAINT_SCHEMA	518
# define	NRW_CURSOR_NAME	519
# define	NRW_DATA	520
# define	NRW_DATETIME_INTERVAL_CODE	521
# define	NRW_DATETIME_INTERVAL_PRECISION	522
# define	NRW_DYNAMIC_FUNCTION	523
# define	NRW_LENGTH	524
# define	NRW_MESSAGE_LENGTH	525
# define	NRW_MESSAGE_OCTET_LENGTH	526
# define	NRW_MESSAGE_TEXT	527
# define	NRW_MORE	528
# define	NRW_NAME	529
# define	NRW_NULLABLE	530
# define	NRW_NUMBER	531
# define	NRW_REPEATABLE	532
# define	NRW_RETURNED_LENGTH	533
# define	NRW_RETURNED_OCTET_LENGTH	534
# define	NRW_RETURNED_SQLSTATE	535
# define	NRW_ROW_COUNT	536
# define	NRW_SCALE	537
# define	NRW_SCHEMA_NAME	538
# define	NRW_SERIALIZABLE	539
# define	NRW_SERVER_NAME	540
# define	NRW_SUBCLASS_ORIGIN	541
# define	NRW_TABLE_NAME	542
# define	NRW_TYPE	543
# define	NRW_UNCOMMITTED	544
# define	NRW_UNNAMED	545
# define	LEFT_PAREN	546
# define	RIGHT_PAREN	547
# define	ASTERISK	548
# define	PLUS_SIGN	549
# define	COMMA	550
# define	MINUS_SIGN	551
# define	SOLIDUS	552
# define	SEMICOLON	553
# define	LESS_THAN_OPERATOR	554
# define	EQUALS_OPERATOR	555
# define	GREATER_THAN_OPERATOR	556
# define	QUESTION_MARK	557


extern YYSTYPE yylval;

#endif /* not BISON_UESQL_PARSER_H */
